org.firstinspires.ftc.robotcore.external.navigation

## Enum Orientation.AngleSet

- java.lang.Object
- - java.lang.Enum<Orientation.AngleSet>
  - - org.firstinspires.ftc.robotcore.external.navigation.Orientation.AngleSet

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Orientation.AngleSet>
  Enclosing class:
    Orientation

      public static enum Orientation.AngleSet
      extends java.lang.Enum<Orientation.AngleSet>

  `Orientation.AngleSet` is used to distinguish between the two sets of angles that will produce a given rotation in a given axes reference and a given axes order

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `THEONE`
    `THEOTHER`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Orientation.AngleSet` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Orientation.AngleSet[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### THEONE

          public static final Orientation.AngleSet THEONE

    - #### THEOTHER

          public static final Orientation.AngleSet THEOTHER

  - ### Method Detail

    - #### values

          public static Orientation.AngleSet[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Orientation.AngleSet c : Orientation.AngleSet.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Orientation.AngleSet valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null